include ../../atoms/icon/icon
include ../../atoms/close/close

mixin slider(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  - spec.images = spec.images || []

  .slider(class=spec.__class)&attributes(attributes)
    +close({__class:'js-close'})
    .slider__items.js-slider#carousel
        each item in spec.images
          //- .slider__item
          img(src="" +baseUrl + item.img + "", data-path-from-js=""+ item.id + "").slider__img.js-bg-color
    .slider__arrows
      .slider__prev.slider__arrow.js-slider-prev
        +icon({ __class: 'slider__arrow-icon', icon: 'prev' })
      .slider__next.slider__arrow.js-slider-next
        +icon({ __class: 'slider__arrow-icon', icon: 'next' })
    .slider__text Yenhsz

